namespace Ecng.Trading.Xaml
{
	using System;
	using System.Globalization;
	using System.Windows.Controls;
	using System.Windows.Data;
	using System.Windows.Media;

	/// <summary>
	///   .
	/// </summary>
	public sealed class BackgroundConvertor : IValueConverter
	{
		/// <summary>
		/// Converts a value. 
		/// </summary>
		/// <returns>
		/// A converted value. If the method returns null, the valid null value is used.
		/// </returns>
		/// <param name="value">The value produced by the binding source.</param>
		/// <param name="targetType">The type of the binding target property.</param>
		/// <param name="parameter">The converter parameter to use.</param>
		/// <param name="culture">The culture to use in the converter.</param>
		object IValueConverter.Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			var item = (ListViewItem)value;
			var listView = (ListView)ItemsControl.ItemsControlFromItemContainer(item);
			// Get the index of a ListViewItem
			int index = listView.ItemContainerGenerator.IndexFromContainer(item);

			if (index % 2 == 0)
			{
				return Brushes.LightGray;
			}
			else
			{
				return Brushes.White;
			}
		}

		/// <summary>
		/// Converts a value. 
		/// </summary>
		/// <returns>
		/// A converted value. If the method returns null, the valid null value is used.
		/// </returns>
		/// <param name="value">The value that is produced by the binding target.</param>
		/// <param name="targetType">The type to convert to.</param>
		/// <param name="parameter">The converter parameter to use.</param>
		/// <param name="culture">The culture to use in the converter.</param>
		object IValueConverter.ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotSupportedException();
		}
	}
}